"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactResizeDetector = require("react-resize-detector");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var ResizeDetector = function ResizeDetector(_ref) {
  var onResizeCallback = _ref.onResizeCallback;
  var onResize = (0, _react.useCallback)(function (width, height) {
    if (onResizeCallback) {
      onResizeCallback(width, height);
    }
  }, [onResizeCallback]);
  var _useResizeDetector = (0, _reactResizeDetector.useResizeDetector)({
      handleHeight: true,
      refreshMode: 'debounce',
      refreshRate: 1000,
      onResize: onResize
    }),
    ref = _useResizeDetector.ref;
  return /*#__PURE__*/_react["default"].createElement("div", {
    ref: ref
  });
};
var _default = exports["default"] = ResizeDetector;
module.exports = exports.default;